Loading...
Searching...
No Matches
pcl::Intensity32u Struct Reference
Module common

A point structure representing the grayscale intensity in single-channel images. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Intensity32u:

## Public Member Functions

constexpr | Intensity32u (const _Intensity32u &p)
constexpr | Intensity32u (std::uint32_t _intensity=0)

## Friends

std::ostream & | operator<< (std::ostream &os, const Intensity32u &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Intensity32u
| PCL_ADD_INTENSITY_32U

## Detailed Description

A point structure representing the grayscale intensity in single-channel images.

Intensity is represented as a std::uint32_t value.

Definition at line 429 of file point_types.hpp.

## Constructor & Destructor Documentation

## Intensity32u() [1/2]

pcl::Intensity32u::Intensity32u | ( | const _Intensity32u & | p | ) |

inline constexpr

Definition at line 431 of file point_types.hpp.

References Intensity32u().

Referenced by Intensity32u(), and operator<<.

## Intensity32u() [2/2]

pcl::Intensity32u::Intensity32u | ( | std::uint32_t | _intensity = 0 | ) |

inline constexpr

Definition at line 433 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Intensity32u & | p )

friend

References Intensity32u().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp